image: node:latest
stages:
  - stats
  - deploy

jshint:
  stage: stats
  tags:
  - docker
  script:
  - npm --quiet install
  - find . -name "*.js" -not -path "./node_modules/*" | xargs node_modules/jshint/bin/jshint

js-beautify:
  stage: stats
  tags:
  - docker
  script:
  - npm --quiet install
  - find . -name "*.js" -not -path "./node_modules/*" | xargs node_modules/js-beautify/js/bin/js-beautify.js -r
  - git checkout package.json
  - git diff > ../status.log
  - cat ../status.log
  - test ! -s ../status.log

deploy:
  stage: deploy
  tags:
  - deploy
  - rilis.io
  only:
  - master
  environment:
    name: hell-search
    url: https://hell.rilis.io
  script:
  - forever stop ~/hell-search/bin/hell-search || true
  - rm -rf ~/hell-search
  - cp -r $(pwd) ~/hell-search
  - forever start --workingDir ~/hs/ -a -l ~/hs/forever.log ~/hell-search/bin/hell-search
